[typo] With trunk, can no longer login as Admin

Phil Cryer phil at cryer.us
Wed Apr 5 18:28:45 EDT 2006


On Wed, 5 Apr 2006 15:19:47 -0500, "Steve Longdo" <steve.longdo at gmail.com> wrote:
> I tried rake purge_sessions_table with rake 0.7.0 installed and it worked
> fine.  I upgraded rake to 0.7.1 and I am able to duplicate the "Don't know
> how to build task 'db:sessions:recreate'" error when using rake 0.7.1 on a
> Windows XP box!
> 
> I would recommend uninstalling rake 0.7.1 and forcing an install of rake
> 0.7.0.  Probably something has changed in the syntax of rakefiles and the
> typo rakefile needs to be updated. 

This worked, thank you.

> You can also manually DELETE * FROM
> sessions to clear out the sessions table.

Hmmm...still same error on rake purge_sessions_table with rake 0.7.0!  What else could be bothering that, I did update all my Gems earlier today.


P

 
> On 4/5/06, Phil Cryer <phil at cryer.us> wrote:
>>
>> On Wed, 5 Apr 2006 14:22:47 -0500, "Steve Longdo"
> <steve.longdo at gmail.com>
>> wrote:
>> > You might try clearing out the sessions table.  Not sure if that is
> the
>> > problem or not.
>> >
>> > Trying run: rake purge_sessions_table
>> >
>> > and see if that clears up your problems :-)
>>
>>
>> [phil at pepe:~/websites/fak3r/typo-svn-trunk]$ rake --trace
>> purge_sessions_table
>> (in /mnt/backup/pepe/home/phil/websites/fak3r/typo-svn-trunk)
>> ** Invoke purge_sessions_table (first_time)
>> rake aborted!
>> Don't know how to build task 'db:sessions:recreate'
>> /usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:1449:in `[]'
>> /usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:364:in
>> `invoke_prerequisites'
>> /usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:999:in `each'
>> /usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:363:in
>> `invoke_prerequisites'
>> /usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:356:in `invoke'
>> /usr/local/lib/ruby/1.8/thread.rb:135:in `synchronize'
>> /usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:350:in `invoke'
>> /usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:1906:in `run'
>> /usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:1906:in `run'
>> /usr/local/lib/ruby/gems/1.8/gems/rake-0.7.1/bin/rake:7
>> /usr/local/bin/rake:18
>> [phil at pepe:~/websites/fak3r/typo-svn-trunk]$
>>
>>
>>
>>
>> >
>> > On 4/5/06, Phil Cryer <phil at cryer.us> wrote:
>> >>
>> >> ** Ok, I did 'gem install rake' and it got me 0.7.1, and now 'rake
>> >> migrate' works - thanks.  Sorry if this is an OS question and not a
>> Typo
>> >> question - but FreeBSD only has 0.6.2 available in ports [
>> >> http://www.freshports.org/devel/rubygem-rake/], which is where I
>> > installed
>> >> it from, what do I mess up if I install it via gem?  Thanks
>> >>
>> >> Thanks again Steve for the solution Steve.
>> >>
>> >>
>> >> ** I still have the issue of not being able to login on the site - so
> I
>> >> can't admin it, add articles, etc.  log/production.log in Typo (I
>> ****'d
>> > out
>> >> the passwd) shows:
>> >>
>> >> Processing AccountsController#login (for 199.249.176.251 at
> 2006-04-05
>> >> 13:14:20) [POST]
>> >>   Session ID: 89eeda5439f5f7259d464b736e5cf645
>> >>   Parameters: {"user_login"=>"fak3r", "action"=>"login",
>> >> "controller"=>"accounts", "user_password"=>"******", "login"=>"Login
>> > »"}
>> >> Rendering  within layouts/accounts
>> >> Rendering accounts/login
>> >> Completed in 0.01557 (64 reqs/sec) | Rendering: 0.00735 (47%) | DB:
>> >> 0.00310 (19%) | 200 OK [http://fak3r.com/accounts/login]
>> >>
>> >> Meanwhile Apache says:
>> >> 199.249.176.251 - - [05/Apr/2006:13:15:59 -0500] "POST
> /accounts/login
>> >> HTTP/1.1" 200 1468 "htt
>> >> p://fak3r.com/accounts/login" "Mozilla/5.0 (Windows; U; Windows NT
> 5.1;
>> >> en-US; rv:1.8) Gecko/2
>> >> 0060321 Firefox/2.0a1"
>> >>
>> >> no access errors - or any others found.
>> >>
>> >> P
>> >>
>> >>
>> >> On Wed, 5 Apr 2006 12:42:14 -0500, "Steve Longdo"
>> > <steve.longdo at gmail.com>
>> >> wrote:
>> >> > You need a newer version of rake 0.70.
>> >> >
>> >> > On 4/5/06, Phil Cryer <phil at cryer.us> wrote:
>> >> >>
>> >> >> On Wed, 5 Apr 2006 08:52:02 -0700, Kevin Ballard <kevin at sb.org>
>> > wrote:
>> >> >> > Can you run `rake --trace migrate`?
>> >> >> >
>> >> >>
>> >> >> Sure, sorry I didn't do that before:
>> >> >>
>> >> >> [10:59:27] [root at pepe ../fak3r/typo-svn-trunk]# rake --trace
> migrate
>> >> >> (in /mnt/backup/pepe/home/phil/websites/fak3r/typo-svn-trunk)
>> >> >> rake aborted!
>> >> >> undefined method `namespace' for main:Object
>> >> >> ./vendor/rails/railties/lib/tasks/databases.rake:1
>> >> >> ./vendor/rails/railties/lib/tasks/rails.rb:4
>> >> >> ./vendor/rails/railties/lib/tasks/rails.rb:4
>> >> >> /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:21:in
>> >> >> `require'
>> >> >> ./Rakefile:10
>> >> >> /usr/local/lib/ruby/gems/1.8/gems/rake-0.6.2/lib/rake.rb:1379:in
>> >> >> `load_rakefile'
>> >> >> /usr/local/lib/ruby/gems/1.8/gems/rake-0.6.2/lib/rake.rb:1448:in
>> > `run'
>> >> >> /usr/local/lib/ruby/gems/1.8/gems/rake-0.6.2/bin/rake:7
>> >> >> /usr/local/bin/rake:18
>> >> >> [10:59:33] [root at pepe ../fak3r/typo-svn-trunk]#
>> >> >>
>> >> >>
>> >> >> P
>> >> >>
>> >> >> > On Apr 5, 2006, at 8:00 AM, phil wrote:
>> >> >> >
>> >> >> >> [phil at pepe:~/websites/fak3r/typo-svn-trunk]$ rake migrate
>> >> >> >> (in /mnt/backup/pepe/home/phil/websites/fak3r/typo-svn-trunk)
>> >> >> >> rake aborted!
>> >> >> >> undefined method `namespace' for main:Object
>> >> >> >> ./Rakefile:10
>> >> >> >> [phil at pepe:~/websites/fak3r/typo-svn-trunk]$
>> >> >> >
>> >> >> >
>> >> >>
>> >> >> _______________________________________________
>> >> >> Typo-list mailing list
>> >> >> Typo-list at rubyforge.org
>> >> >> http://rubyforge.org/mailman/listinfo/typo-list
>> >> >>
>> >> >
>> >> >
>> >>
>> >> _______________________________________________
>> >> Typo-list mailing list
>> >> Typo-list at rubyforge.org
>> >> http://rubyforge.org/mailman/listinfo/typo-list
>> >
>> >
>>
>>
> 
> 



More information about the Typo-list mailing list